=== added file 'bin/checkbox-urwid'
--- bin/checkbox-urwid	1970-01-01 00:00:00 +0000
+++ bin/checkbox-urwid	2010-05-20 09:00:22 +0000
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+export XDG_CACHE_HOME=${XDG_CACHE_HOME:-$HOME/.cache}
+export CHECKBOX_DATA=${CHECKBOX_DATA:-.}
+export CHECKBOX_SHARE=${CHECKBOX_SHARE:-.}
+export CHECKBOX_OPTIONS="--log-level=debug --log=$CHECKBOX_DATA/checkbox.log"
+export PYTHONPATH=$PYTHONPATH:$CHECKBOX_SHARE
+
+if [ $CHECKBOX_DATA != '.' ]
+then
+    old_data=$HOME/.checkbox
+    if [ -d $old_data ] && [ ! -d $CHECKBOX_DATA ]
+    then
+        mv -f $old_data $CHECKBOX_DATA
+    fi
+fi
+
+python $CHECKBOX_SHARE/run "$@" $CHECKBOX_SHARE/configs/$(basename $0).ini

=== added directory 'checkbox_urwid'
=== added file 'checkbox_urwid/__init__.py'
=== added file 'checkbox_urwid/urwid_interface.py'
--- checkbox_urwid/urwid_interface.py	1970-01-01 00:00:00 +0000
+++ checkbox_urwid/urwid_interface.py	2010-05-20 09:00:22 +0000
@@ -0,0 +1,24 @@
+#
+# This file is part of Checkbox.
+#
+# Copyright 2008 Canonical Ltd.
+#
+# Checkbox is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# Checkbox is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Checkbox.  If not, see <http://www.gnu.org/licenses/>.
+#
+from checkbox.user_interface import (UserInterface, ANSWER_TO_STATUS,
+    ALL_ANSWERS, YES_ANSWER, NO_ANSWER, SKIP_ANSWER)
+
+
+class UrwidInterface(UserInterface):
+    pass

=== added file 'debian/checkbox-urwid.install'
--- debian/checkbox-urwid.install	1970-01-01 00:00:00 +0000
+++ debian/checkbox-urwid.install	2010-05-20 09:00:22 +0000
@@ -0,0 +1,3 @@
+usr/bin/checkbox-urwid
+usr/share/checkbox/examples/checkbox-urwid.ini
+usr/lib/python*/*-packages/checkbox_urwid/*

=== added file 'debian/checkbox-urwid.links'
--- debian/checkbox-urwid.links	1970-01-01 00:00:00 +0000
+++ debian/checkbox-urwid.links	2010-05-20 09:00:22 +0000
@@ -0,0 +1,1 @@
+usr/share/man/man1/checkbox.1.gz usr/share/man/man1/checkbox-urwid.1.gz

=== added file 'debian/checkbox-urwid.postinst'
--- debian/checkbox-urwid.postinst	1970-01-01 00:00:00 +0000
+++ debian/checkbox-urwid.postinst	2010-05-20 09:00:22 +0000
@@ -0,0 +1,6 @@
+#! /bin/sh -e
+
+. /usr/share/debconf/confmodule
+. /usr/share/checkbox/install/postinst
+
+#DEBHELPER#

=== added file 'examples/checkbox-urwid.ini'
--- examples/checkbox-urwid.ini	1970-01-01 00:00:00 +0000
+++ examples/checkbox-urwid.ini	2010-05-20 09:00:22 +0000
@@ -0,0 +1,14 @@
+[DEFAULT]
+
+# Space separated list of files to include as a dependency for the
+# CLI interface.
+includes = %(checkbox_share)s/configs/checkbox.ini
+
+[checkbox/plugins/user_interface]
+
+# Module where the user interface implementation is defined.
+interface_module = checkbox_urwid.urwid_interface
+
+# Class implementing the UserInterface interface.
+interface_class = UrwidInterface
+

=== modified file 'setup.py'
--- setup.py	2010-05-18 20:46:12 +0000
+++ setup.py	2010-05-20 09:00:22 +0000
@@ -143,9 +143,9 @@
         ("share/checkbox/gtk/", ["gtk/checkbox-gtk.glade", "gtk/*.png"]),
         ("share/apport/package-hooks/", ["apport/source_checkbox.py"]),
         ("share/apport/general-hooks/", ["apport/checkbox.py"])],
-    scripts = ["bin/checkbox-cli", "bin/checkbox-gtk"],
+    scripts = ["bin/checkbox-cli", "bin/checkbox-gtk", "bin/checkbox-urwid"],
     packages = ["checkbox", "checkbox.contrib", "checkbox.lib", "checkbox.reports",
-        "checkbox_cli", "checkbox_gtk"],
+        "checkbox_cli", "checkbox_gtk", "checkbox_urwid"],
     cmdclass = {
         "install": checkbox_install,
         "install_data": checkbox_install_data,

